Index: sansview/perspectives/fitting/basepage.py
===================================================================
--- sansview/perspectives/fitting/basepage.py	(revision 3f6508feef58ec8ce22e98201ce11515c5a3dda5)
+++ sansview/perspectives/fitting/basepage.py	(revision c8deee55171def58bec5b4c23dedf0a1daa950a5)
@@ -356,4 +356,8 @@
         self.state.event_owner = owner
         
+    def get_state(self):
+        """
+        """
+        return self.state
     def get_data(self):
         """
Index: sansview/perspectives/fitting/fitpanel.py
===================================================================
--- sansview/perspectives/fitting/fitpanel.py	(revision 340c2b394c77bda9152c0196371422d89d53b479)
+++ sansview/perspectives/fitting/fitpanel.py	(revision c8deee55171def58bec5b4c23dedf0a1daa950a5)
@@ -137,5 +137,5 @@
         self.data = data
         self.model= model
-        self.manager= manager
+        self._manager= manager
         self.event_owner= event_owner
         self.model_list_box = model_list_box
@@ -169,5 +169,5 @@
         PanelBase.__init__(self)
     
-        self.manager = None
+        self._manager = None
         self.parent = parent
         self.event_owner = None
@@ -198,4 +198,20 @@
         self.Center()
         
+    def get_data(self):
+        """
+        get the data in the current page
+        """
+        pos = self.GetSelection()
+        selected_page = self.GetPage(pos)
+        return selected_page.get_data()
+    
+    def get_state(self):
+        """
+         return the state of the current selected page
+        """
+        pos = self.GetSelection()
+        selected_page = self.GetPage(pos)
+        return selected_page.get_state()
+    
     def add_default_pages(self):
         """
@@ -247,5 +263,5 @@
                 # add data associated to the page created
                 if panel is not None:  
-                    self.manager.store_page(page=panel, data=state.data)
+                    self._manager.store_page(page=panel, data=state.data)
                     panel.reset_page(state=state)
                     panel.save_current_state()
@@ -258,5 +274,5 @@
             #close all panels only when svs file opened
             self.close_all()
-            self.manager.mypanels = []
+            self._manager.mypanels = []
                        
     def on_close_page(self, event=None):
@@ -299,5 +315,5 @@
         
         """
-        self.manager = manager
+        self._manager = manager
 
         
@@ -332,9 +348,9 @@
         """
         from simfitpage import SimultaneousFitPage
-        page_finder= self.manager.get_page_finder()
+        page_finder= self._manager.get_page_finder()
         self.sim_page = SimultaneousFitPage(self,page_finder=page_finder, id=-1)
         
         self.AddPage(self.sim_page,caption="Simultaneous Fit",select=True)
-        self.sim_page.set_manager(self.manager)
+        self.sim_page.set_manager(self._manager)
         return self.sim_page
         
@@ -358,5 +374,5 @@
         page_info = PageInfo(data=data, name=name)
         page_info.event_owner = self.event_owner 
-        page_info.manager = self.manager
+        page_info.manager = self._manager
         page_info.window_name = name
         page_info.window_caption = name
@@ -371,4 +387,5 @@
         from fitpage import FitPage
         panel = FitPage(parent=self, page_info=page_info)
+        panel.set_manager(self._manager)
         self.AddPage(page=panel, caption=page_info.window_name, select=True)
         self.opened_pages[page_info.type] = [page_info.window_name, panel]
@@ -381,4 +398,5 @@
         from fitpage import FitPage
         panel = FitPage(parent=self, page_info=page_info)
+        panel.set_manager(self._manager)
         self.AddPage(page=panel, caption=page_info.window_name, select=True)
         index = self.GetPageIndex(panel)
@@ -440,5 +458,5 @@
                 #delete the previous theory page and add a new one
                 name, panel = self.opened_pages[type]
-                #self.manager.reset_plot_panel(panel.get_data())
+                #self._manager.reset_plot_panel(panel.get_data())
                 #delete the existing page and replace it
                 index = self.GetPageIndex(panel)
@@ -503,5 +521,5 @@
         ## removing sim_page
         if selected_page == self.sim_page :
-            self.manager.sim_page=None 
+            self._manager.sim_page=None 
             return
         
@@ -509,5 +527,5 @@
         state = selected_page.createMemento()
         page_name = selected_page.window_name
-        page_finder = self.manager.get_page_finder() 
+        page_finder = self._manager.get_page_finder() 
         fitproblem = None
         ## removing fit page
@@ -524,7 +542,7 @@
                 if flag and selected_page.window_name == name:
                     if type.lower() in ['theory1d', 'theory2d']:
-                        self.manager.remove_plot(selected_page, theory=True)
+                        self._manager.remove_plot(selected_page, theory=True)
                     else:
-                        self.manager.remove_plot(selected_page, theory=False)
+                        self._manager.remove_plot(selected_page, theory=False)
                     break 
             del page_finder[selected_page]
Index: sansview/perspectives/fitting/fitting.py
===================================================================
--- sansview/perspectives/fitting/fitting.py	(revision cab076bed5ffbb60267ddbb2a20b16bc119d4e12)
+++ sansview/perspectives/fitting/fitting.py	(revision c8deee55171def58bec5b4c23dedf0a1daa950a5)
@@ -112,4 +112,5 @@
         #Create a reader for fit page's state
         self.state_reader = None 
+        self._extensions = '.fitv'
         self.temp_state = []
         self.state_index = 0
@@ -246,4 +247,5 @@
         #Create reader when fitting panel are created
         self.state_reader = Reader(self.set_state)   
+       
         #append that reader to list of available reader 
         loader = Loader()
@@ -281,4 +283,5 @@
             wx.PostEvent(self.parent, NewPlotEvent(plot=data, 
                                                    title=str(data.title)))
+   
             
     def set_state(self, state=None, datainfo=None, format=None):
@@ -300,5 +303,5 @@
         self.sfile_ext = format
 
-    def  on_set_state_helper(self,event=None):
+    def on_set_state_helper(self,event=None):
         """
         Set_state_helper. This actually sets state after plotting data from state file.
